Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PermissionBundleDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.SystemObjectDefinition

                  |

                  +--oracle.ifs.beans.PermissionBundleDefinition

public class PermissionBundleDefinition
extends SystemObjectDefinition

The PermissionBundleDefinition class is used construct a PermissionBundle object. Most of the specifications can be set using the setAttribute() method inherited from LibraryObjectDefinition. Only the setting of the standard permissions must use a method introduced in this class.

The set of ExtendedPermissions to be associated with this PermissionBundle (if any) should be included in the AccessLevel specified in the setAccessLevel method.

See Also:
  `SystemObjectDefinition`, `AccessLevel`, `PermissionBundle`, `ExtendedPermission`

Constructor Summary
`PermissionBundleDefinition(LibrarySession session)` Default constructor.

Method Summary
`AccessLevel` | `getAccessLevel()` Returns the AccessLevel to be associated with this PermissionBundle.
`void` | `setAccessLevel(AccessLevel level)` Sets the AccessLevel to be associated with this PermissionBundle.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### PermissionBundleDefinition

    public PermissionBundleDefinition(LibrarySession session)
                               throws IfsException

  Default constructor. The class name is initialized to PERMISSIONBUNDLE.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setAccessLevel

    public void setAccessLevel(AccessLevel level)
                        throws IfsException

  Sets the AccessLevel to be associated with this PermissionBundle. This should include both the standard and extended permissions.
  Parameters:
    `level` - An AccessLevel object that defines the access level.
  Throws:
    `IfsException` - if the operation fails

### getAccessLevel

    public AccessLevel getAccessLevel()
                               throws IfsException

  Returns the AccessLevel to be associated with this PermissionBundle.
  Returns:
    level An AccessLevel object that defines the access level.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD